Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79421 - xdmcp session counting gone wrong?
Summary: xdmcp session counting gone wrong?
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gdm
Version: beta2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-11 16:00 UTC by Tim Waugh
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:30:38 UTC


Attachments (Terms of Use)

Description Tim Waugh 2002-12-11 16:00:16 UTC
Description of Problem:
I have enabled xdmcp, but I get:

XDMCP fatal error: Session declined Maximum number of open sessions from your
host reached

from my remote host.  But that host is freshly booted.

Version-Release number of selected component (if applicable):
gdm-2.4.0.7-14

[xdmcp]
# Distributions: Ship with this off.  It is never a safe thing to leave
# out on the net.  Alternatively you can set up /etc/hosts.allow and
# /etc/hosts.deny to only allow say local access.
Enable=true
HonorIndirect=true
MaxPending=4
MaxPendingIndirect=4
MaxSessions=16
MaxWait=15
MaxWaitIndirect=15
DisplaysPerHost=1
Port=177
# Willing script, none is shipped and by default we'll send
# hostname system id
Willing=/etc/X11/gdm/Xwilling

Other information:
This remote host has had trouble with NMI lockups, forcing me to hit the reset
switch.  So the connections aren't terminating nicely, but should still get
reset once the machine comes back up.  Perhaps gdm misses that.

Comment 1 Havoc Pennington 2003-01-13 02:30:38 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103266


Note You need to log in before you can comment on or make changes to this bug.